hostname = "91.107.203.234"
bundles = [
    "element-web",
    "matrix-media-repo",
    "matrix-registration",
    "matrix-synapse",
    "nodejs",
    "postgresql",
    "zfs",
]
groups = [
    "debian-bookworm",
    "webserver",
]

[metadata.icinga_options]
pretty_name = "afra.berlin"

[metadata.interfaces.eth0]
ips = [
    "91.107.203.234/32",
    "2a01:4f8:c010:b0e1::1/64",
]
gateway4 = '172.31.1.1'
gateway6 = 'fe80::1'

[metadata.interfaces.ens10]
ips = [
    "172.19.137.7/32",
]
routes.'172.19.128.0/20'.via = "172.19.137.1"

[metadata.element-web]
url = "element.afra.berlin"
version = "v1.11.64"

[metadata.element-web.config]
default_server_config.'m.homeserver'.base_url = "https://matrix.afra.berlin"
default_server_config.'m.homeserver'.server_name = "afra.berlin"
brand = "afra.berlin"
defaultCountryCode = "DE"
jitsi.preferredDomain = "meet.ffmuc.net"

[metadata.matrix-media-repo]
admins = ['@administress:afra.berlin']
datastore_id = "e33b50474021fba9977f912414cdd7fe8890ed57"
sha1 = "55d353b472894547c61b11567089eb2cf40ce5ba"
upload_max_mb = 50
version = "v1.3.4"

[metadata.matrix-media-repo.homeservers.'afra.berlin']
domain = "http://[::1]:20080/"
api = "synapse"

[metadata.matrix-registration]
base_path = "/matrix"
client_redirect = "https://element.afra.berlin"

[metadata.matrix-synapse]
server_name = "afra.berlin"
baseurl = "matrix.afra.berlin"
admin_contact = 'mailto:hostmaster@kunbox.net'
trusted_key_servers = [
    "matrix.org",
    "franzi.business",
]
wellknown_also_on_vhosts = ["redirect"]

[metadata.nginx.vhosts.redirect]
domain = "afra.berlin"

[metadata.nginx.vhosts.redirect.locations.'/']
redirect = "https://afra-berlin.de"
mode = 302

#[metadata.nginx.vhosts.redirect.locations.'/.well-known/host-meta']
#redirect = "https://fedi.afra.berlin/.well-known/host-meta"
#mode = 301
#[metadata.nginx.vhosts.redirect.locations.'/.well-known/nodeinfo']
#redirect = "https://fedi.afra.berlin/.well-known/nodeinfo"
#mode = 301
#[metadata.nginx.vhosts.redirect.locations.'/.well-known/webfinger']
#redirect = "https://fedi.afra.berlin/.well-known/webfinger"
#mode = 301

[metadata.nginx.vhosts.redirect.locations.'/matrix/']
target = "http://127.0.0.1:20100/"

[metadata.postgresql]
version = "15"
work_mem = 1024
cache_size = 2048

[[metadata.zfs.pools.tank.when_creating.config]]
devices = ["/dev/disk/by-id/scsi-0HC_Volume_32207877"]

[metadata.vm]
cpu = 2
ram = 8
